Bug 1827887 - Review Request: mingw-biblesync - A Cross-platform library for sharing Bible navigation
Summary: Review Request: mingw-biblesync - A Cross-platform library for sharing Bible ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-25 06:30 UTC by greg.hellings
Modified: 2020-05-06 05:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-06 03:07:33 UTC
Type: ---
Embargoed:
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description greg.hellings 2020-04-25 06:30:22 UTC
Spec URL: https://fedorapeople.org/~greghellings/mingw-biblesync.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/3043/43763043/mingw-biblesync-2.0.1-1.fc33.src.rpm
Description: BibleSync is a multicast protocol to support Bible software shared co-
navigation. It uses LAN multicast in either a personal/small team mutual
navigation motif or in a classroom environment where there are Speakers plus
the Audience. It provides a complete yet minimal public interface to support
mode setting, setup for packet reception, transmit on local navigation, and
handling of incoming packets.

This library is not specific to any particular Bible software framework,
completely agnostic as to structure of layers above BibleSync.

Fedora Account System Username: greghellings

Comment 1 greg.hellings 2020-04-25 06:30:46 UTC
Scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=43763042

Comment 2 greg.hellings 2020-04-25 06:40:55 UTC
This is just a mingw port of the existing biblesync package that I also maintain.

Comment 3 Ankur Sinha (FranciscoD) 2020-04-26 13:50:11 UTC
Looks pretty good. A few niggles, but you can correct those before you import.
I don't do a lot of mingw packages, so please do double check the review also.

XXX APPROVED XXX

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text
^
Please use the %license macro for the LICENSE files.


- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: mingw32-biblesync, mingw64-biblesync. Illegal
  package name: mingw32-biblesync, mingw64-biblesync. Does not provide
  -static: mingw32-biblesync, mingw64-biblesync.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#packaging-static-libraries

^ The *.dll.a files aren't static libraries, so I think this is a false
positive. Please double check this. (There aren't any static libraries in the package at all.)


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 27 files have unknown license. Detailed
     output of licensecheck in /home/asinha/dump/fedora-
     reviews/1827887-mingw-biblesync/licensecheck.txt

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
^ They go into the mingw subpackages, so this is OK.

[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
^
Looks OK.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 12 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).

[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-biblesync , mingw64-biblesync
^ Not necessary for mingw packages.

[?]: Package functions as described.
^
I haven't tested this.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.

[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-biblesync : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/biblesync.pc mingw64-biblesync :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/biblesync.pc
^
Correct for mingw packages.

[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
^
Builds here in mock, but I've not tested it on koji for the other architectures
yet.

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-biblesync-2.0.1-1.fc33.noarch.rpm
          mingw64-biblesync-2.0.1-1.fc33.noarch.rpm
          mingw-biblesync-2.0.1-1.fc33.src.rpm
mingw32-biblesync.noarch: W: spelling-error %description -l en_US multicast -> simulcast
mingw32-biblesync.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libbiblesync.dll.a
mingw32-biblesync.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libbiblesync.dll.a
mingw32-biblesync.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/biblesync.pc
mingw32-biblesync.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-biblesync.noarch: W: spelling-error %description -l en_US multicast -> simulcast
mingw64-biblesync.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libbiblesync.dll.a
mingw64-biblesync.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libbiblesync.dll.a
mingw64-biblesync.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/biblesync.pc
mingw64-biblesync.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw-biblesync.src: W: spelling-error %description -l en_US multicast -> simulcast
3 packages and 0 specfiles checked; 2 errors, 9 warnings.

^
These do not seem to apply to mingw packages.


Rpmlint (installed packages)
----------------------------
mingw32-biblesync.noarch: W: spelling-error %description -l en_US multicast -> simulcast
mingw32-biblesync.noarch: W: invalid-url URL: http://www.xiphos.org <urlopen error [Errno -2] Name or service not known>
mingw64-biblesync.noarch: W: spelling-error %description -l en_US multicast -> simulcast
mingw64-biblesync.noarch: W: invalid-url URL: http://www.xiphos.org <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

^
URL exists.



Source checksums
----------------
https://github.com/karlkleinpaste/biblesync/releases/download/2.0.1/biblesync-2.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 953eed0b0ee7e4f8c6c34f7871babed26f03049e4dad5fc222fe3a65811a4d16
  CHECKSUM(SHA256) upstream package : 953eed0b0ee7e4f8c6c34f7871babed26f03049e4dad5fc222fe3a65811a4d16


Requires
--------
mingw32-biblesync (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libgcc_s_dw2-1.dll)
    mingw32(libintl-8.dll)
    mingw32(libstdc++-6.dll)
    mingw32(msvcrt.dll)
    mingw32(rpcrt4.dll)
    mingw32(ws2_32.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-biblesync (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libgcc_s_seh-1.dll)
    mingw64(libintl-8.dll)
    mingw64(libstdc++-6.dll)
    mingw64(msvcrt.dll)
    mingw64(rpcrt4.dll)
    mingw64(ws2_32.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-biblesync:
    mingw32(libbiblesync.dll)
    mingw32-biblesync

mingw64-biblesync:
    mingw64(libbiblesync.dll)
    mingw64-biblesync



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1827887
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Java, Haskell, Perl, Ocaml, fonts, Python, SugarActivity, PHP, R, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 greg.hellings 2020-04-27 06:20:14 UTC
>- If (and only if) the source package includes the text of the license(s)
>  in its own file, then that file, containing the text of the license(s)
>  for the package is included in %license.
>  Note: License file COPYING is not marked as %license
>  See: https://docs.fedoraproject.org/en-US/packaging-
>  guidelines/LicensingGuidelines/#_license_text
>^
>Please use the %license macro for the LICENSE files.

Fixed this.

>- Static libraries in -static or -devel subpackage, providing -devel if
>  present.
>  Note: Package has .a files: mingw32-biblesync, mingw64-biblesync. Illegal
>  package name: mingw32-biblesync, mingw64-biblesync. Does not provide
>  -static: mingw32-biblesync, mingw64-biblesync.
>  See: https://docs.fedoraproject.org/en-US/packaging-
>  guidelines/#packaging-static-libraries
>
>^ The *.dll.a files aren't static libraries, so I think this is a false
>positive. Please double check this. (There aren't any static libraries in the package at all.)

Yeah, a .dll.a file is a specific thing to MinGW. In some ways it's a static library, but it's the stub another .dll or a .exe needs to link to that knows how to locate and call the .dll. Real static libraries in MinGW end in just .a. I'm not generating them for Biblesync.

Thanks for the review!

Comment 5 Gwyn Ciesla 2020-04-27 13:21:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-biblesync

Comment 6 Fedora Update System 2020-04-27 16:00:21 UTC
FEDORA-2020-d752e3b411 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d752e3b411

Comment 7 Fedora Update System 2020-04-27 16:00:47 UTC
FEDORA-2020-3c66ece950 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3c66ece950

Comment 8 Fedora Update System 2020-04-27 16:01:04 UTC
FEDORA-2020-d80df47a6f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d80df47a6f

Comment 9 Fedora Update System 2020-04-28 03:23:55 UTC
FEDORA-2020-d80df47a6f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-d80df47a6f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d80df47a6f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-28 03:46:06 UTC
FEDORA-2020-d752e3b411 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-d752e3b411 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d752e3b411

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-28 03:52:08 UTC
FEDORA-2020-3c66ece950 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-3c66ece950 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3c66ece950

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-06 03:07:33 UTC
FEDORA-2020-3c66ece950 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-06 04:29:46 UTC
FEDORA-2020-d80df47a6f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-05-06 05:07:39 UTC
FEDORA-2020-d752e3b411 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.